export abstract class MultiModal {
  abstract start(): Promise<void>;
  abstract stop(): Promise<void>;
  
  // Defines a streaming interface for chat interactions.
  // The implementation will vary based on the specific AI model.
  abstract chatStream(input: ReadableStream<string>): ReadableStream<string>;
}
